Bug 242837 - keyboard volume knob stopped working
keyboard volume knob stopped working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 23:15 EDT by Scott Doty
Modified: 2008-06-16 21:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Doty 2007-06-05 23:15:50 EDT
Description of problem:
   "Keyboard's volume knob stopped working."
   i.e. gnome-settings-daemon not intercepting keyboard shortcut to adjust sound
volume.

Version-Release number of selected component (if applicable):
control-center-2.18.0-18.fc7
GNOME gnome-settings-daemon 2.18.0

How reproducible:
Not sure.

Steps to Reproduce:
1.Twist volume knob on keyboard.
2.Observe: no change in volume, doesn't draw spiffy graphic in center of desktop
showing volume status.
3.
  
Actual results:
It's dead, Jim.

Expected results:
Change in volume, as well as spiffy graphic in center of desktop showing volume
status.

Additional info:
I re-entered the volume knob keycodes into the control center shortcut keys
manager, but alas, no joy.

Thank you for all your hard work on Fedora, there is a world of enamored people
out here that are very appreciative of the Fedora system.
Comment 1 MartinG 2007-06-12 16:33:07 EDT
Same here Fedora 7 stable, but I am running KDE and i686. Usually I have always 
added the relevant bits in "/etc/sysconfig/keyboard" and "/etc/X11/Xmodmap", 
and then it "just worked" in KDE: volume keys and mute and OSD showed in boring 
grey. (worked for FC4, FC5, and FC6, but not F7).

The relevant X events are recognized, however, so I am able to manually assign 
the right actions in e.g. 'kmix' to increase and decrease volume, and mute, but 
I don't get that OSD out-of-the-box as I did before.

kernel-2.6.21-1.3194.fc7
kdelibs-3.5.6-9.fc7
Comment 2 Boris Mironov 2007-06-25 14:23:46 EDT
My keyboard "Logitec Cordless desktop MX500" after some time loses any 
keystrokes from keypad (number keys on right side) even though it works fine on 
login screen. I do not know what triggers it but there is no reaction to any 
push of any button in that area.

May be the is some connection with the following behaviour. Totem player does 
not react on push of "Play/Stop" key any more. Everything was fine under Fedora 
6.
Comment 3 Bug Zapper 2008-05-14 08:50:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:26:23 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.